import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    private Counter zaehler;
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);
        
        Crab krabbe = new Crab();
        addObject(krabbe, 100,100);
        krabbe.setRotation(100);
        
        for (int i = 0; i < 3; i++) {
            Lobster hummer = new Lobster();
            hummer.turn(Greenfoot.getRandomNumber(360));
            addObject(hummer, Greenfoot.getRandomNumber(580), Greenfoot.getRandomNumber(580));
        }
        

        for (int i = 0; i < 20; i++) {
            Sandworm wurm = new Sandworm();
            addObject(wurm, Greenfoot.getRandomNumber(580), Greenfoot.getRandomNumber(580));
        }
        
        zaehler = new Counter();
        addObject(zaehler, 100, 50);
    }
    
    public Counter gibZaehler() {
        return zaehler;
    }
}