import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs live on the beach.
 */
public class Crab extends Animal
{
    private GreenfootImage bild1 = new GreenfootImage("crab.png");
    private GreenfootImage bild2 = new GreenfootImage("crab2.png");
    
    public void act()
    {
        if (atWorldEdge() == true) {
            turn(5);
        }
        keyMove();
        if (getImage() == bild1) {
            setImage(bild2);
        } else {
            setImage(bild1);
        }
        tryToEatSandworm();
    }
    
    public void randomMove() {
       if(Greenfoot.getRandomNumber(100) < 10) {
           turn(Greenfoot.getRandomNumber(41) - 20);
       }
       move();
    }
    
    public void keyMove() {
        if (Greenfoot.isKeyDown("left")) {
            turn(-5);
        } 
        if (Greenfoot.isKeyDown("right")) {
            turn(5);
        }
        if (Greenfoot.isKeyDown("up")) {
            move();
        }
        if (Greenfoot.isKeyDown("space")) {
            Ant ameise = new Ant();
            CrabWorld welt = (CrabWorld)getWorld();
            welt.addObject(ameise, getX(), getY());
            ameise.setRotation(getRotation());
        }
            
    }
    

   public void tryToEatSandworm() {
       if (canSee(Sandworm.class)) {
           eat(Sandworm.class);
           Greenfoot.playSound("slurp.wav");
           CrabWorld welt = (CrabWorld)getWorld();
           welt.gibZaehler().add(1);
           if (welt.gibZaehler().getValue() == 10) {
               Greenfoot.stop();
           }
       }
   }
        
}


